package dev.shadowsoffire.apotheosis.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.google.gson.JsonObject;
import com.google.gson.JsonParseException;
import dev.shadowsoffire.apotheosis.util.ModuleCondition;
import net.minecraft.resources.ResourceLocation;
import net.minecraftforge.common.crafting.conditions.ICondition;
import net.minecraftforge.common.crafting.conditions.IConditionSerializer;

public class Serializer implements IConditionSerializer<ModuleCondition> {
  public void write(JsonObject json, ModuleCondition value) {
    json.addProperty("field", value.name);
  }
  
  public ModuleCondition read(JsonObject json) {
    if (!json.has("module") || !ModuleCondition.types.containsKey(json.get("module").getAsString()))
      throw new JsonParseException("Invalid module condition!"); 
    return new ModuleCondition(json.get("module").getAsString());
  }
  
  public ResourceLocation getID() {
    return ModuleCondition.id;
  }
}
